5.1.4.3.8. Check Existence in Tree Components
Prev | 5.1.4.3. Check Existence | Next

#### 5.1.4.3.8. Check Existence in Tree Components

Check Existence of Node by Indexpath

- This action checks that a node in the tree exists.

- You give the path to the node you want to check as an indexpath.

- For example, checking a textpath of ''1/2/3'' would check that the first node in the tree has at least 2 child nodes, and that the 2nd child node has at least 3 child nodes.

- Parameters:

  - Path Type

  - Pre-Ascend

  - Indexpath

  - Exists

  - Timeout in Millisecs

Check Existence of Node by Textpath

- This action checks that a node in the tree exists.

- You give the path to the node you want to check as a textpath.

- For example, checking a textpath of ''Dog/Bird/Cat'' would check whether an entry ''Cat'' exists beneath an entry for ''Bird'' in the tree, which furthermore lies beneath an entry ''Dog''.

- Parameters:

  - Path Type

  - Pre-Ascend

  - Textpath

  - Operator

  - Exists

  - Timeout in Millisecs